<?php
session_start();
require('../fpdf/fpdf.php');
require('plantilla_general.php');
require '../../../conexion.php';
require_once('../../../include/sesiones.php');
 ini_set('max_execution_time', 0); // 0 = Ilimitado

$desde=$_GET['desde'];
$hasta=$_GET['hasta'];
$tipo_factura=$_GET['tipo_factura'];

$utt=0;
$pcc=0;
$pvv=0;

$uttc=0;
$pccc=0;
$pvvc=0;
if($tipo_factura=='0')
{
    if ($activar_remisiones=='Si') 
    {
    $registros=mysqli_query($con,"SELECT * FROM ventas where ven_fecha BETWEEN '$desde' AND '$hasta' and sucursal='$sucursal' and empresa='$empresa' and ven_estado<>'anulada' order by ven_n_venta desc") or die(mysqli_error($con));
    }
    else
    {
         $registros=mysqli_query($con,"SELECT * FROM ventas where ven_tipo<>'remision' and ven_fecha BETWEEN '$desde' AND '$hasta' and sucursal='$sucursal' and empresa='$empresa' and ven_estado<>'anulada' order by ven_n_venta desc") or die(mysqli_error($con));
    }
}
else
{
    $registros=mysqli_query($con,"SELECT * FROM ventas where ven_tipo='$tipo_factura' and ven_fecha BETWEEN '$desde' AND '$hasta' and sucursal='$sucursal' and empresa='$empresa' and ven_estado<>'anulada' order by ven_n_venta desc") or die(mysqli_error($con));
}

$pdf=new PDF_MC_Table();
$pdf->AddPage();
$pdf->SetFont('Arial','',14);
$pdf->AliasNbPages();

$pdf->Cell(0,10,'PERDIDAS Y GANANCIA '.$desde. ' HASTA ' .$hasta,0,1);
$pdf->Ln(); 

while ($reg=mysqli_fetch_array($registros))
{
    $ven_id=$reg['ven_id'];
    $sql=mysqli_query($con, "SELECT * from venta_detalle where ventas_ven_id='$ven_id' AND  vend_art_id<>'5770' AND vend_art_id<>'5771' and vend_art_id<>'8577' and vend_art_id<>'8874' and vend_art_id<>'8875'");
    while ($row=mysqli_fetch_array($sql))
    {   
        $vend_art_id=$row['vend_art_id'];
        $vend_cantidad=$row['vend_cantidad_dev'];
        $vend_x_cantidad=$row['vend_x_cantidad'];
        $vend_costo=$row['vend_costo'];
        $vend_precio_real=$row['vend_precio_real'];

        if ($vend_costo==null) 
        {
            $art=mysqli_query($con,"SELECT * from articulos where art_id='$vend_art_id'");
            $row1=mysqli_fetch_array($art);
            $precio_costo=$row1['art_precio_costo']*$vend_x_cantidad;
        }
        else
        {
            $precio_costo=$vend_costo*$vend_x_cantidad;
        }

        $costo=$precio_costo*$vend_cantidad;
        $venta=$vend_precio_real*$vend_cantidad;
        $utilidad=$venta-$costo;

        $pcc+=$costo;   
        $pvv+=$venta;
        $utt+=$utilidad;
    } 


    $sqlc=mysqli_query($con, "SELECT * from venta_detalle_combo where ven_id='$ven_id' ");
    while ($rowc=mysqli_fetch_array($sqlc))
    {
        $combo_id=$rowc['combo_id'];
        $combo_cantidad=$rowc['combo_cantidad'];
        $combo_nombre=$rowc['combo_nombre'];
        $combo_costo=$rowc['combo_costo'];
        $combo_precio=$rowc['combo_precio'];
        $combo_desc=$rowc['combo_desc'];

        if ($combo_costo==null) 
        {
            $totalprecio_costo=0;
            $com=mysqli_query($con, "SELECT * from combos_articulos where combos_com_id='$combo_id'");
            while ($com1=mysqli_fetch_array($com))
            {
                $coma_art_id=$com1['coma_art_id'];
                $coma_art_cantidad=$com1['coma_art_cantidad'];
                $artc=mysqli_query($con, "SELECT * from articulos where art_id='$coma_art_id'");
                $row1=mysqli_fetch_array($artc);
                $totalprecio_costo+=$precio_costo=$row1['art_precio_costo']*$coma_art_cantidad;
            }    
        }
        else
        {
            $totalprecio_costo=$combo_costo;
        }   

        $costo_combo=$totalprecio_costo*$combo_cantidad;
        $venta_combo=$combo_precio*$combo_cantidad;
        $utilidad_combo=$venta_combo-$costo_combo;

        $pccc+=$costo_combo;   
        $pvvc+=$venta_combo;
        $uttc+=$utilidad_combo;
    }

}

$vds=mysqli_query($con,"SELECT sum(total) as egre FROM egresos where DATE(fecha) BETWEEN '$desde' AND '$hasta' and sucursal='$sucursal' and empresa='$empresa'") or die(mysqli_error($con));  
$vd=mysqli_fetch_array($vds);
$egre=$vd['egre']; 

$pdf->SetFont('Arial','B',10);
$pdf->Cell(50,5,'VENTAS',1,0,'C');
$pdf->Cell(50,5,number_format($pvv+$pvvc,0),1,0,'R');
$pdf->Ln();
$pdf->Cell(50,5,'COMPRAS',1,0,'C');
$pdf->Cell(50,5,number_format($pcc+$pccc,0),1,0,'R');
$pdf->Ln();
$pdf->Cell(50,5,'UTILIDAD',1,0,'C');
$pdf->Cell(50,5,number_format($utt+$uttc,0),1,0,'R');
$pdf->Ln();
$pdf->Cell(50,5,'EGRESOS',1,0,'C');
$pdf->Cell(50,5,number_format($egre,0),1,0,'R');
$pdf->Ln();

$pdf->Cell(50,5,'GANANCIA',1,0,'C');
$pdf->Cell(50,5,number_format(($utt+$uttc)-$egre,0),1,0,'R');
$pdf->Ln();

$pdf->Output();
?>